.TH PATH2LISTING 8 "May 07, 2005" "desktop-profiles"

.SH NAME
path2listing \- script facilitating the conversion to managing gconf configuration sources with desktop-profiles

.SH SYNOPSIS
path2listing [options]

.SH DESCRIPTION
This script takes a single gconf path file (the systemwide one, i.e. /etc/gconf/2/path, when not told otherwise) and reads through it in order to create an ordered list of known configuration sources (it will recurse into included path files when necessary). Using that ordered list it will then create a desktop-profiles_path2listing.listing file containing metadata for all known configuration sources, assigning a precedence value to each encountered configuration source so that:
.IP 
a) the order of sources is the same 
.IP 
b) there is space between the precedence values of the various sources to allow for inclusion of additional profiles in the future.
.IP
c) all mandatory sources have a positive precedence value, and all non-mandatory sources have a negative precedence value
.PP
In addition to generating the desktop-profiles_path2listing.listing file, this script will also replace the converted path file by one that assumes that desktop-profiles manages all configuration sources (NOTE: a backup copy of all changed files is made, so you can always go back to the previous situation).

.SH OPTIONS
.PP
\-d,\-\-distance
.IP
distance between the precedence values of each successive pair of configuration sources (defaults to 50), the idea being that you leave some space to insert future sources.
.PP
\-f, \-\-file
.IP
path file to convert (defaults to /etc/gconf/2/path)
.PP
\-h, \-\-help
.IP
display the help message
.PP
\-o, \-\-output-file
.IP
file to put the generated metadata in (defaults to /etc/desktop-profiles/desktop-profiles_path2listing.listing). If this file exists a backup copy will be made prior to overwriting it.
.PP
\-\-no-replace-file
.IP
don't replace the path file we're converted with one assuming desktop-profiles manages activation

.SH FILES
/etc/gconf/2/path - systemwide gconf path file, default path file to convert
.PP
/etc/desktop-profiles/desktop-profiles_path2listing.listing - default name for the file containing the generated metadata


.SH AUTHOR
This manual page was written by Bart Cornelis <cobaco@skolelinux.no>.
.PP

.SH SEE ALSO
desktop-profiles(7)
